Subject: bug#74287: [PATCH] Rework history Isearch for Eshell

From: Jim Porter <[email-masked]>
Date: Tue, 26 Nov 2024 09:00:13 -0800

On 11/26/2024 1:41 AM, James Thomas via Bug reports for GNU Emacs, the 
Swiss army knife of text editors wrote:
> My 2c: I now think it's better to hold out for something with way less
> code, using capf.

Like mentioned in the emacs-devel list, that's probably how *I'd* want a 
command history search implementation to use, but I also think that an 
Isearch interface makes a lot of sense as an option, depending on user 
preferences. As far as I can tell, we'd have to write different code for 
each of these styles (i.e. you can't just make Isearch use capf). Though 
as mentioned I'm not very familiar with Isearch's internals.

So long as this doesn't prevent a capf-based implementation (and I'm 
guessing it wouldn't, since that would just be a new option), I think we 
could merge this patch. I also prefer to have Shell and Eshell work the 
same way unless there's some compelling reason why they should be different.